Delete a custom IOC file request

Prev Next

Deletes custom IOC files from the Central Management System for Network Security appliances only.

POST https://<address>/wsapis/[v1.2.0|v2.0.0]/customioc/feed/delete/<Feed-Name>

Availability

This command is available on the following appliances:

  • Central Management System

Required headers:

X-FeApi-Token: [API-Token]
X-FeClient-Token: [Client-Token]

Parameters

  • address—The IP address of the appliance running the Web Services API.

  • API-Token—This token authenticates the session. By default, the session times out after 15 minutes of inactivity.

  • Client-Token—(Optional) This client token is provided by Trellix. For more information about the client token, contact your sales representative.

  • Feed-Name—The name of the feed to be deleted.

Example request

POST https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/customioc/feed/delete/testFeed

Request headers:

X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
X-FeClient-Token: BigDataInc

Delete a custom IOC file response

After the request is received, the Central Management System appliance validates the API token and sends a response code and message.

HTTP/1.1 [Response Code] [Response Message]
Date: [Date]
Response fields
  • Response Code—A standard HTML response code.

    • 200—Request successful.

    • 500—Request unsuccessful because the server encountered a problem.

  • Response Message—A standard HTML response message.

    • OK—Request successful.

    • Internal Server Error—Request unsuccessful because the server encountered a problem.

  • Date—Standard HTML date format.

Example
HTTP/1.1 200 OK
Date: Fri, 17 Nov 2017 08:00:00 GMT

cURL code sample: delete a custom IOC file

The following code sample can be copied and executed from any command-line interface that includes the cURL library. This sample builds on the authentication cURL code sample.

Note

In this sample, line breaks are added for readability. Remove these line breaks before you paste the code sample into your command-line tool.

curl -qgsSk --no-progress-bar -X POST --header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" --header "Accept:application/json" "https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/customioc/feed/delete/sampleFeed3"

This cURL sample includes the following options:

  • -q—This option specifies that the curlrc config file is not read or used. Although this is an optional setting, Trellix recommends that you include this option.

  • -g—This option turns off the URL globbing parser. Although this is an optional setting, Trellix recommends that you include this option.

  • -s—This option turns off the progress meter and error message. Although this is an optional setting, Trellix recommends that you include this option.

  • -S—When used with the -s option, this option shows error messages if your cURL switch fails. Although this is an optional setting, Trellix recommends that you include this option.

  • -k—This option explicitly allows cURL to perform insecure SSL connections and transfers. This allows you to test your SSL connection without installing a CA certificate.

  • --no-progress-bar—This option suppresses the cURL download progress bar, which can interfere with the request.

  • -X POST—This option specifies using the POST method.

  • --header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"—This custom header includes the API-Token that was returned by your appliance during the authentication request. In the authentication cURL code sample, this token was included in the auth.txt file. Replace the token in the sample with the token received in the response to your authentication request.

  • -H 'Accept: application/json'—This header specifies that the serverʼs response body is expected to be in JSON format.

  • "https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/customioc/feed/delete/sampleFeed3"—The custom IOCs request URL. Replace the IP address xxx.xxx.xxx.xxx with the IP address of your appliance. Replace sampleFeed3 with the name of the feed to delete.

Results

This example deletes the specified feed.